Posh-ACME

4.9.0

ACME protocol client for obtaining certificates using Let's Encrypt (or other ACME compliant CA)

Minimum PowerShell version

5.1

Installation Options

Copy and Paste the following command to install this package using PowerShellGet More Info

Install-Module -Name Posh-ACME -RequiredVersion 4.9.0

You can deploy this package directly to Azure Automation. Note that deploying packages with dependencies will deploy all the dependencies to Azure Automation. Learn More

Manually download the .nupkg file to your system's default download location. Note that the file won't be unpacked, and won't include any dependencies. Learn More

Author(s)

Ryan Bolger

Copyright

(c) 2018 Ryan Bolger. All rights reserved.

Owners

Tags

LetsEncrypt ssl tls certificates acme Linux Mac

Functions

Complete-PAOrder Export-PAAccountKey Get-KeyAuthorization Get-PAAccount Get-PAAuthorization Get-PACertificate Get-PAOrder Get-PAPlugin Get-PAPluginArgs Get-PAServer Install-PACertificate Invoke-HttpChallengeListener New-PAAccount New-PACertificate New-PAOrder New-PAAuthorization Publish-Challenge Remove-PAAccount Remove-PAOrder Remove-PAServer Revoke-PAAuthorization Revoke-PACertificate Save-Challenge Send-ChallengeAck Set-PAAccount Set-PAOrder Set-PAServer Submit-ChallengeValidation Submit-OrderFinalize Submit-Renewal Unpublish-Challenge

PSEditions

Desktop Core

Dependencies

This module has no dependencies.

Release Notes

## 4.9.0 (2021-09-21)

* Added new DNS plugin [ISPConfig](https://www.ispconfig.org/)
* Fixed the DOCean plugin when used with accounts that have more than 20 zones. (#384) (Thanks @Xpyder)
* Fixed a bug in the DOCean plugin that prevented publishing records against the zone apex.
* Fixed a bug using `Set-PAOrder -PreferredChain` on an existing but expired order that was recently upgraded from Posh-ACME 3.x.
* Fixed renewal window calculation for certs that have lifetimes shorter or longer than 90 days. (#382) (Thanks @lookcloser)
 * Due to the bug, certs with lifetimes longer than 90 days would renew early and certs with lifetimes shorter than 90 days would renew late or potentially not at all. Because the renewal window is calculated and saved at finalization time, the new module version won't fix the value on existing orders. It will only fix future orders/renewals.
 * If you want to scan for and fix any orders that might have been affected by this bug, you can use the script posted here: https://github.com/rmbolger/Posh-ACME/issues/382#issuecomment-922128237
* Fixed a benign bug with object serialization in PS 5.1 that was saving the dynamic attributes on server/account/order objects.

Version History

Version Downloads Last updated
4.10.0 6,703 10/6/2021
4.9.0 (current version) 11,858 9/21/2021
4.8.1 7,232 9/12/2021
4.8.0 1,946 9/10/2021
4.7.1 10,549 8/28/2021
4.7.0 3,274 8/24/2021
4.6.0 27,216 7/26/2021
4.5.0 63,817 5/29/2021
4.4.0 22,411 5/3/2021
4.3.2 41,617 3/14/2021
4.3.1 1,099 3/12/2021
4.3.0 17,953 2/24/2021
4.2.0 28,048 2/1/2021
4.1.0 18,296 1/18/2021
4.0.0 39,616 12/19/2020
3.20.0 32,026 11/25/2020
3.19.0 6,252 11/20/2020
3.18.1 11,090 11/12/2020
3.18.0 6,333 11/8/2020
3.17.0 24,975 10/9/2020
3.16.0 19,368 8/31/2020
3.15.1 20,802 7/8/2020
3.15.0 4,726 6/22/2020
3.14.0 16,639 5/7/2020
3.13.0 16,519 4/11/2020
3.12.0 34,919 12/10/2019
3.11.0 4,949 11/12/2019
3.10.0 3,851 11/6/2019
3.9.0 1,214 10/26/2019
3.8.0 11,797 9/27/2019
3.7.0 1,045 9/18/2019
3.6.0 2,802 8/20/2019
3.5.0 5,042 6/21/2019
3.4.0 1,941 4/30/2019
3.3.0 956 3/24/2019
3.2.1 577 3/4/2019
3.2.0 1,357 1/22/2019
3.1.1 502 12/22/2018
3.1.0 98 12/16/2018
3.0.1 316 11/30/2018
3.0.0 346 11/13/2018
2.9.1 407 10/26/2018
2.9.0 345 10/6/2018
2.8.0 463 9/12/2018
2.7.1 321 8/30/2018
2.7.0 276 8/12/2018
2.6.0 104 8/1/2018
2.5.0 284 7/12/2018
2.4.0 396 6/1/2018
2.3.0 26 5/29/2018
2.2.0 64 5/24/2018
2.1.1 51 5/19/2018
2.1.0 28 5/18/2018
2.0.1 211 5/13/2018
2.0 26 5/12/2018
1.1 67 5/2/2018
1.0 12 4/28/2018